a,b:=GetVersion();
if a gt 2 or (a ge 2 and b ge 9) then
"Your Magma version is ok";
else
"Your Magma version is too old for this package";
quit;
end if;

AttachSpec("spec");
"Compilation done";

SetSeed(0);
R<x1,x2,x3>:=BlackboxPolynomialAlgebra(Rationals(),3);
x1:=Var(x1);
x2:=Var(x2);
x3:=Var(x3);
f1:=x1+x2+x3;
f2:=x1*x2+x2*x3+x3*x1;
f3:=x1*x2*x3-1;
lf:=GeometricSolve([f1,f2,f3]);
if DegreeLF(lf) eq 6 then
"Example succeeded";
else
"Example failed, please report to lecerf@math.uvsq.fr";
end if;
quit;

